classification
Title: Add "path" to the xmrlpc dispatcher method
Type: enhancement Stage:
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, kristjan.jonsson
Priority: normal Keywords:

Created on 2009-08-05 21:16 by kristjan.jonsson, last changed 2009-12-16 10:51 by kristjan.jonsson. This issue is now closed.

Messages (5)
msg91337 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-08-05 21:16
I've created http://codereview.appspot.com/100046 on Rietveld:
by passing the "path" component of the xmlrpc request to the dispatch 
method, it
becomes possible to dispatch differently according to this.  This patch 
provides
that addition.  Additionally, it provides an MultiPathXMLRPCDispatcher 
mixin
class and a MultiPathXMLRPCServer that uses it, to have multiple 
dispatchers for
different paths.
This allows a single server port to serve different XMLRPC servers as
differentiated by the HTTP path.  A test is also preovided.

I've also prophylacticly emailed this to phython-ideas.
msg92022 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-08-27 23:14
After a short discussion on python-dev 
(http://mail.python.org/pipermail/python-dev/2009-August/091069.html) 
there were no objections.  On python-ideas there were no responses.  
Commited as revision 74558
msg96311 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-12-13 00:57
Hi, Kristjan. Could you port your commit to py3?
msg96343 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-12-13 18:21
yes, I'll do so as soon as I'm able.
msg96481 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-12-16 10:51
Committed revision 76855 to py3k
History
Date User Action Args
2009-12-16 10:51:23kristjan.jonssonsetmessages: + msg96481
2009-12-13 18:21:26kristjan.jonssonsetmessages: + msg96343
2009-12-13 00:57:36benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg96311
2009-08-27 23:14:30kristjan.jonssonsetstatus: open -> closed
resolution: accepted
messages: + msg92022
2009-08-05 21:16:39kristjan.jonssoncreate